Module | Sequel::Swift::SQLite::DatabaseMethods
In: | lib/sequel/adapters/swift/sqlite.rb

Database instance methods for SQLite databases accessed via Swift.

### Methods

connect

### Included Modules

Sequel::SQLite::DatabaseMethods

### Public Instance methods

connect(opts)

Set the correct pragmas on the connection.

[Source]

        # File lib/sequel/adapters/swift/sqlite.rb, line 14
    14:         def connect(opts)
    15:           c = super
    16:           connection_pragmas.each{|s| log_yield(s){c.execute(s)}}
    17:           c
    18:         end

[Validate]